Why Atom v0.117.0 using atom-shell atom-shell v0.14.0?


#1

I using Github Atom in Windows, but I met this problem (https://github.com/atom/atom-shell/pull/452).

Luckly, I see atom-shell v0.14.0 fixed this problem. But later, the Atom v0.117.0 was released, it still using atom-shell v0.14.0. That means, in windows, we must confirm move to trash by Atom, and must confirm again by explorer. BTW, confirm dialog from explorer haven’t icon in taskbar.

PS: atom-shell v0.14.0 was released in Jul 21, 2014, 10:23 PM CST, Atom v0.117.0 was released in Jul 23, 2014, 3:42 AM CST.

Please update the Atom’s atom-shell. Thank you very much!


#2

I see atom-shell v0.14.0 fixed this problem. But later, the Atom v0.117.0 was released, it still using atom-shell v0.14.0

Ok there may be a language barrier issue here, but do you have a typo in there by any chance?


#3

BTW, publishing a new atom-shell version doesn’t imply that the atom codebase is compatible with it, it’s understandable that there’s some delay before the atom codebase is refactored to adjust the changes.


#4

When I try to delete a file in Atom’s tree-view, Atom have a dialog for confirm move to trash, And then, Windows explorer also prompt me to delete file(the second dialog is behind Atom’s window), it is inconvenient.